<?php

class m130418_164738_crear_tabla_usuario extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_usuario', array(
            'id' => 'pk',
            'username' => 'varchar(20) NOT NULL',
            'pwd_hash' => 'char(34) NOT NULL',
            'persona_id' => 'integer NOT NULL',
        ), 'ENGINE=InnoDB DEFAULT CHARSET=utf8');
        
        $this->createIndex('idx_username', 'tbl_usuario', 'username');
        $this->addForeignKey('fk_usuario_1', 'tbl_usuario', 'persona_id', 'tbl_persona', 'id', 'CASCADE', 'CASCADE');
    }

    public function safeDown() {
        $this->dropForeignKey('fk_usuario_1', 'tbl_usuario');
        $this->dropTable('tbl_usuario');
    }

}